<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>
<body class="jumbotron container">
    <p id="cmt2dev">Test Page for Javascrip Tasks. F5 to run code. </p>
    <div class="row form-group">
        <button  class="btn btn-info m-1" onclick="onGetAllOrderClick()">Call api get all orders!</button>
        <button  class="btn btn-success m-1" onclick="onCreateOrderClick()">Call api create order!</button>
        <button  class="btn btn-warning m-1" onclick="onGetOrderByIdClick()">Call api get order by id!</button>
        <button  class="btn btn-primary m-1" onclick="onUpdateOrderClick()">Call api update order!</button>
        <button  class="btn btn-info m-1" onclick="onCheckVoucherIdClick()">Call api check voucher by id!</button>
        <button  class="btn btn-danger m-1" onclick="onGetDrinkListClick()">Call api Get drink list!</button>
    </div>
    <div class="row form-group">
        <p id="testP" class="h4"> Demo 06 API for Pizza 365 Project: </p>
    </div>
    <div class="row form-group">
        <ul>
            <li>get all Orders: lấy tất cả orders </li>
            <li>create Order: tạo 1 order</li>
            <li>get Order by id: lấy 1 order bằng id </li>
            <li>update Order: update 01 order</li>
            <li>check voucher by id: check thông tin mã giảm giá, quan trọng là có hay không, và % giảm giá </li>
            <li>get drink list: lấy danh sách đồ uống</li>
        </ul>
    </div>
    <div class="row form-group">
        <strong class="text-danger"> Bật console log để nhìn rõ output </strong>
    </div>
    <script>
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        const vDRIK_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
        const vVOUCHER_URL = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
        function fetchAPI(url, options) {
            fetch(url, options)
                .then(
                    (response) => {
                        return response.json();
                    }
                )
                .then(
                    (data) => {
                        console.log(data);
                    }
                )
                .catch(
                    (error) => {
                        console.error(error);
                    }
                )
        }
        function onGetAllOrderClick() {
            fetchAPI(vBASE_URL, {
                method: "GET"
            })
        }
        function onCreateOrderClick() {
            fetchAPI(vBASE_URL, {
                method: 'POST',
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
                body: JSON.stringify({
                    kichCo: "M",
                    duongKinh: "25",
                    suon: "4",
                    salad: "300",
                    loaiPizza: "HAWAII",
                    idVourcher: "16512",
                    idLoaiNuocUong: "PEPSI",
                    soLuongNuoc: "3",
                    hoTen: "Phạm Thanh Bình",
                    thanhTien: "200000",
                    email: "binhpt001@devcamp.edu.vn",
                    soDienThoai: "0865241654",
                    diaChi: "Hà Nội",
                    loiNhan: "Pizza đế dày"
                })
            })
        }
        function onGetOrderByIdClick() {
            fetchAPI(vBASE_URL + "/DsR31zhAus", {
                method: "GET"
            });
        }
        function  onUpdateOrderClick() {
            fetchAPI(vBASE_URL + "/180191", {
                method: 'PUT',
                headers: {
                    'Content-type': 'application/json; charset=UTF-8',
                },
                body: JSON.stringify({
                    kichCo: "M",
                    duongKinh: "25",
                    suon: "4",
                    salad: "300",
                    loaiPizza: "HAWAII",
                    idVourcher: "16512",
                    idLoaiNuocUong: "PEPSI",
                    soLuongNuoc: "3",
                    hoTen: "Trần Quang Huy",
                    thanhTien: "200000",
                    email: "huy@devcamp.edu.vn",
                    soDienThoai: "0865241654",
                    diaChi: "Sài Gòn",
                    loiNhan: "Pizza đế dày",
                    trangThai: "confirmed",
                    
                })
            })
        }
        function onGetDrinkListClick() {
            fetchAPI(vDRIK_URL, {
                method: "GET"
            })
        }
        function onCheckVoucherIdClick() {
            fetchAPI(vVOUCHER_URL + "/81432", {
                method: "GET"
            })
        }
    </script>
</body>
</html>